package com.willalp.canteen.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import java.util.List;

import com.willalp.canteen.service.IHsCanteenScckService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.willalp.canteen.mapper.HsCanteenScckMapper;
import com.willalp.canteen.domain.HsCanteenScck;

/**
 * 食材出库Service业务层处理
 *
 * @author songyu
 * @date 2021-11-26
 */
@Service
public class HsCanteenScckServiceImpl extends ServiceImpl<HsCanteenScckMapper, HsCanteenScck>  implements IHsCanteenScckService
{
    @Autowired
    private HsCanteenScckMapper hsCanteenScckMapper;

    /**
     * 查询食材出库
     *
     * @param recordId 食材出库主键
     * @return 食材出库
     */
    @Override
    public HsCanteenScck selectHsCanteenScckByRecordId(String recordId)
    {
        return hsCanteenScckMapper.selectHsCanteenScckByRecordId(recordId);
    }

    /**
     * 查询食材出库列表
     *
     * @param hsCanteenScck 食材出库
     * @return 食材出库
     */
    @Override
    public List<HsCanteenScck> selectHsCanteenScckList(HsCanteenScck hsCanteenScck)
    {
        return hsCanteenScckMapper.selectHsCanteenScckList(hsCanteenScck);
    }

    /**
     * 新增食材出库
     *
     * @param hsCanteenScck 食材出库
     * @return 结果
     */
    @Override
    public int insertHsCanteenScck(HsCanteenScck hsCanteenScck)
    {
        return hsCanteenScckMapper.insertHsCanteenScck(hsCanteenScck);
    }

    /**
     * 修改食材出库
     *
     * @param hsCanteenScck 食材出库
     * @return 结果
     */
    @Override
    public int updateHsCanteenScck(HsCanteenScck hsCanteenScck)
    {
        return hsCanteenScckMapper.updateHsCanteenScck(hsCanteenScck);
    }

    /**
     * 批量删除食材出库
     *
     * @param recordIds 需要删除的食材出库主键
     * @return 结果
     */
    @Override
    public int deleteHsCanteenScckByRecordIds(String[] recordIds)
    {
        return hsCanteenScckMapper.deleteHsCanteenScckByRecordIds(recordIds);
    }

    /**
     * 删除食材出库信息
     *
     * @param recordId 食材出库主键
     * @return 结果
     */
    @Override
    public int deleteHsCanteenScckByRecordId(String recordId)
    {
        return hsCanteenScckMapper.deleteHsCanteenScckByRecordId(recordId);
    }
}
